# getFiles

abstract fun getFiles(): Set<File>

Returns the contents of this collection as a Set. The contents of a file collection may change over time.

Note that this method returns File objects that represent locations on the file system. These File objects do not necessarily refer to regular files. Depending on the implementation of this file collection and how it has been configured, the returned set may contain directories, or missing files, or any other kind of file system element.

#### Return

The files. Returns an empty set if this collection is empty.